WPXHeader Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Private Attributes | List of all members
WPXHeader Class Reference

`#include <WPXHeader.h>`

Inheritance diagram for WPXHeader:

## Public Member Functions
| WPXHeader (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned documentOffset, unsigned char productType, unsigned char fileType, unsigned char majorVersion, unsigned char minorVersion, unsigned short documentEncryption)
virtual | ~WPXHeader ()
unsigned | getDocumentOffset () const
unsigned char | getProductType () const
unsigned char | getFileType () const
unsigned char | getMajorVersion () const
unsigned char | getMinorVersion () const
unsigned short | getDocumentEncryption () const

## Static Public Member Functions
static WPXHeader * | constructHeader (librevenge::RVNGInputStream *input, WPXEncryption *encryption)

## Private Attributes
unsigned | m_documentOffset
unsigned char | m_productType
unsigned char | m_fileType
unsigned char | m_majorVersion
unsigned char | m_minorVersion
unsigned short | m_documentEncryption

## Constructor & Destructor Documentation

WPXHeader::WPXHeader | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | unsigned | documentOffset,
|  | unsigned char | productType,
|  | unsigned char | fileType,
|  | unsigned char | majorVersion,
|  | unsigned char | minorVersion,
|  | unsigned short | documentEncryption
| ) |  |

WPXHeader::~WPXHeader | ( |  | ) |
| virtual

## Member Function Documentation

WPXHeader * WPXHeader::constructHeader | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption
| ) |  |
| static

Referenced by libwpd::WPDocument::isFileFormatSupported(), libwpd::WPDocument::parse(), and libwpd::WPDocument::verifyPassword().

unsigned short WPXHeader::getDocumentEncryption | ( |  | ) | const
| inline

Referenced by libwpd::WPDocument::isFileFormatSupported(), libwpd::WPDocument::verifyPassword(), and WP6Header::WP6Header().

unsigned WPXHeader::getDocumentOffset | ( |  | ) | const
| inline

Referenced by libwpd::WPDocument::parse().

unsigned char WPXHeader::getFileType | ( |  | ) | const
| inline

Referenced by libwpd::WPDocument::isFileFormatSupported(), and libwpd::WPDocument::parse().

unsigned char WPXHeader::getMajorVersion | ( |  | ) | const
| inline

Referenced by libwpd::WPDocument::isFileFormatSupported(), libwpd::WPDocument::parse(), and libwpd::WPDocument::verifyPassword().

unsigned char WPXHeader::getMinorVersion | ( |  | ) | const
| inline

unsigned char WPXHeader::getProductType | ( |  | ) | const
| inline

## Member Data Documentation

unsigned short WPXHeader::m_documentEncryption
| private

Referenced by getDocumentEncryption().

unsigned WPXHeader::m_documentOffset
| private

Referenced by getDocumentOffset().

unsigned char WPXHeader::m_fileType
| private

Referenced by getFileType().

unsigned char WPXHeader::m_majorVersion
| private

Referenced by getMajorVersion().

unsigned char WPXHeader::m_minorVersion
| private

Referenced by getMinorVersion().

unsigned char WPXHeader::m_productType
| private

Referenced by getProductType().

The documentation for this class was generated from the following files:

- WPXHeader.h
- WPXHeader.cpp